#pragma once
class CONSOLE
{

protected:
	D3DXVECTOR2		Position;
	D3DXVECTOR2		Size;



public:
	void (*ClickFunc)(void);
	void (*EnterFunc)(void);

	static	INPUT_DX		*Input;
	static  HWND			hWnd;


	CONSOLE(void);



	virtual void	Draw(void) = 0;
	virtual void	Flip(void) = 0;

	virtual void	SetPosition(D3DXVECTOR2 Position)	= 0;
	virtual void	SetPosition(float PosX,float PosY)	= 0;

	virtual void	SetSize(D3DXVECTOR2 Position)		= 0;
	virtual void	SetSize(float SizeX,float SizeY)	= 0;

	virtual void	CALLBACKClick(void (*ClickFunc)(void))= 0;
	virtual void	CALLBACKEnter(void (*EnterFunc)(void))= 0;



	//Events	
	virtual void	ClickMouse(void) = 0;
	virtual void	EnterMouse(void) = 0;

	~CONSOLE(void);
};


